/************************************************************************/
/************************************************************************/
/*									*/
/*                        RADICALLY PUBLIC DOMAIN                       */
/*									*/
/* Header for Yamchek.							*/
/*									*/
/* Author : William Beebe.						*/
/* Started: 01 May 1988							*/
/*									*/
/*                        RADICALLY PUBLIC DOMAIN                       */
/*									*/
/************************************************************************/
/************************************************************************/

#include	<setjmp.h>

extern	jmp_buf	mark;			/* setjump/longjump critical context.	*/
extern	struct	tm	*time_list;	/* structure for time functions.	*/
extern	struct	_old_usr	user;	/* Opus 1.03b user structure.		*/
extern	struct	_old_sys	sys;	/* Opus 1.03b system structure.		*/
extern	struct	_msg	msgs;		/* message header structure.		*/

extern	
int	status,			/* general program status.	*/
	cstack_flag,		/* allow command stacking.	*/
	itxt,			/* text buffer pointer.		*/
	maxtext,		/* highest byte read in.	*/
	page_size,		/* how many lines/message page.	*/
	low_msg,		/* lowest message # found.	*/
	high_msg,		/* highest message # found.	*/
	cur_num,		/* current message # read.	*/
	last_msg,		/* last message read.		*/
	last_msg_area,		/* last message area visited.	*/
	num_msgs,		/* number of messages found.	*/
	ln_cnt,			/* line counter.		*/
	limit,			/* upper/lower message limit.	*/
	pause_flag,		/* if set will allow pause.	*/
	ansi_flag,		/* ansi index flag.		*/
	msg_path_len;		/* length of message area path.	*/
